/*---------------------------------------------------------------
	FILE: CAction.h
	USE: See above

   Part of the MRPT Library
   ISA - Universidad de Malaga - http://www.isa.uma.es
  ---------------------------------------------------------------*/
#ifndef CAction_H
#define CAction_H

#include <MRPT/UTILS/CSerializable.h>

namespace MRML
{
	/** Declares a class for storing a robot action. It is used in MRML::CActionObservationSequence,
	 *    for logs storage and particle filter based simulations.
	 *  See derived classes for implementations.
     *
	 * \sa CActionCollection, CActionObservationSequence
	 */
	class CAction : public CSerializable
	{
		// This must be added to any CSerializable derived class:
		DEFINE_VIRTUAL_SERIALIZABLE( CAction )


	}; // End of class def.

} // End of namespace

#endif
